XP Service Pack 3 blocks .NET security patches According to this article, if you're running SP3 there will be problems installing patchec for .NET.